<footer class="footer">
  <div class="line-highlight overlay" [ngStyle]="{ transform: scaleX }"></div>
  <div
    class="marker overlay"
    *ngFor="let painting of paintings; let i = index"
    [ngStyle]="{ left: getMarkerLeft(i) }"
    (click)="goToPainting(painting.title)"
  ></div>
  <div class="left">
    <p class="title">{{ title }}</p>
    <p class="artist">{{ artist }}</p>
  </div>
  <div class="right">
    <span class="counter">{{ counter }}</span>
    <button
      class="btn"
      (click)="goToPreviousSlide()"
      [disabled]="!previousButtonClickable ? 'disabled' : null"
    >
      <svg width="26" height="24" xmlns="http://www.w3.org/2000/svg">
        <g stroke="currentColor" fill="none" fill-rule="evenodd">
          <path
            d="M24.166 1.843L3.627 12.113l20.539 10.269V1.843z"
            stroke-width="2"
          />
          <path fill="currentColor" d="M.986.5h-1v22.775h1z" />
        </g>
      </svg>
    </button>
    <button
      class="btn"
      (click)="resumeCounter()"
      *ngIf="pause; else playButton"
    >
      <svg
        aria-hidden="true"
        focusable="false"
        data-icon="play"
        role="img"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 448 512"
      >
        <path
          fill="currentColor"
          d="M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z"
        ></path>
      </svg>
    </button>
    <ng-template #playButton>
      <button class="btn" (click)="pauseCounter()">
        <svg
          aria-hidden="true"
          focusable="false"
          data-icon="pause"
          role="img"
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 448 512"
        >
          <path
            fill="currentColor"
            d="M144 479H48c-26.5 0-48-21.5-48-48V79c0-26.5 21.5-48 48-48h96c26.5 0 48 21.5 48 48v352c0 26.5-21.5 48-48 48zm304-48V79c0-26.5-21.5-48-48-48h-96c-26.5 0-48 21.5-48 48v352c0 26.5 21.5 48 48 48h96c26.5 0 48-21.5 48-48z"
          ></path>
        </svg>
      </button>
    </ng-template>
    <button
      class="btn"
      (click)="goToNextSlide()"
      [disabled]="!nextButtonClickable ? 'disabled' : null"
    >
      <svg width="26" height="24" xmlns="http://www.w3.org/2000/svg">
        <g stroke="currentColor" fill="none" fill-rule="evenodd">
          <path
            d="M1.528 1.843l20.538 10.27L1.528 22.382V1.843z"
            stroke-width="2"
          />
          <path fill="currentColor" d="M24.708.5h1v22.775h-1z" />
        </g>
      </svg>
    </button>
  </div>
</footer>
